OaIdl.VARDESC (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: VARDESC

Package com.sun.jna.platform.win32

# Class OaIdl.VARDESC

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.VARDESC

Direct Known Subclasses:
  `OaIdl.VARDESC.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder({"memid","lpstrSchema","_vardesc","elemdescVar","wVarFlags","varkind"}) public static class OaIdl.VARDESC extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.VARDESC._VARDESC`
  `static class`
  `OaIdl.VARDESC.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `OaIdl.VARDESC._VARDESC`
  `_vardesc`
  [switch_is][switch_type]
  C type : _VARDESC_union
  `OaIdl.ELEMDESC`
  `elemdescVar`
  `WTypes.LPOLESTR`
  `lpstrSchema`
  `OaIdl.MEMBERID`
  `memid`
  `OaIdl.VARKIND`
  `varkind`
  `WinDef.WORD`
  `wVarFlags`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VARDESC()`
  `VARDESC(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### memid

    public OaIdl.MEMBERID memid

  - ### lpstrSchema

    public WTypes.LPOLESTR lpstrSchema

  - ### _vardesc

    public OaIdl.VARDESC._VARDESC _vardesc
    [switch_is][switch_type]
    C type : _VARDESC_union

  - ### elemdescVar

    public OaIdl.ELEMDESC elemdescVar

  - ### wVarFlags

    public WinDef.WORD wVarFlags

  - ### varkind

    public OaIdl.VARKIND varkind

- ## Constructor Details

  - ### VARDESC

    public VARDESC()

  - ### VARDESC

    public VARDESC(Pointer pointer)